import axios from '@/axios/http';

const URL = {
    login: 'login/',
    logout: 'logout/',
    report: 'dailyreport/'
}

export function login(data) {
    return axios({
        url: URL.login,
        method: 'post',
        data: data
    })
}

export function logout() {
    return axios({
        url: URL.logout,
        method: 'post'
    })
}

export function getReport(id) {
    return axios({
        url: `${URL.report}${id}/`,
        method: 'get'
    })
}

export function allReport(data = null) {
    return axios({
        url: URL.report,
        methods: 'get',
        params: data == null ? "" : data
    })
}

export function addReport(data) {
    return axios({
        url: URL.report,
        method: 'post',
        data
    })
}

export function editReport(data) {
    return axios({
        url: `${URL.report}${data.id}/`,
        method: 'put',
        data: {
            title: data.title,
            content: data.content
        }
    })
}

export function delReport(id) {
    return axios({
        url: `${URL.report}${id}/`,
        method: 'delete'
    })
}