/**
 * 变量存储
 */
export const state = {
    money: 0,
    foods: {}
}

/**
 * 获取数据
 */
export const getters = {
    gettersBill(state) {
        return state
    }
}

/**
 * 改变数据事件
 */
export const mutations = {
    /**
     * 改变账单里的钱
     * @param state 
     * @param param type{1加钱，0减钱} money{金额}
     */
    changeMoney(state, param) {
        console.log('改变钱包');
        if (param.type) {
            state.money += param.money;
        } else {
            state.money -= param.money;
        }
    },
    /**
     * 改变账单里的物品
     * @param state 
     * @param param food{物品名字} number{物品数量}
     */
    changeFoods(state, param) {
        console.log('改变物品背包');
        if (state.foods.hasOwnProperty(param.key)) {
            state.foods[param.key].number++
                state.foods[param.key].money += param.money
        } else {
            state.foods[param.key] = {
                number: 1,
                money: param.money,
                name: param.food
            }
        }
    }
}

/**
 * 使用改变数据事件
 */
export const actions = {
    addMoney({ commit }, money = 0) {
        commit('changeMoney', {
            'type': 1,
            'money': money
        })
    },
    reduceMoney({ commit }, money = 0) {
        commit('changeMoney', {
            'type': 0,
            'money': money
        })
    },
    addfoods({ commit }, { food, key, money }) {
        // console.log(food,key);

        commit('changeFoods', {
            food,
            key,
            money
        })
    }
}